package com.vitorflores.connectfit.Adapter;

import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.google.firebase.auth.FirebaseAuth;
import com.google.firebase.auth.FirebaseUser;
import com.google.firebase.database.DataSnapshot;
import com.google.firebase.database.DatabaseError;
import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;
import com.google.firebase.database.ValueEventListener;
import com.vitorflores.connectfit.Client.AvailableProfessionals;
import com.vitorflores.connectfit.Client.ProfessionalProfileActivity;
import com.vitorflores.connectfit.ContractsActivity;
import com.vitorflores.connectfit.LookUpExerciseActivity;
import com.vitorflores.connectfit.MessageActivity;
import com.vitorflores.connectfit.Model.Exercise;
import com.vitorflores.connectfit.Model.User;
import com.vitorflores.connectfit.Professional.ClientProfileActivity;
import com.vitorflores.connectfit.R;

import java.util.List;

public class ExerciseAdapter extends RecyclerView.Adapter<ExerciseAdapter.ViewHolder> {

    private Context mContext;
    private List<Exercise> mExercises;

    public ExerciseAdapter(Context mContext, List<Exercise> mExercises) {
        this.mContext = mContext;
        this.mExercises = mExercises;
    }

    @NonNull
    @Override
    public ExerciseAdapter.ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(mContext).inflate(R.layout.item_exercise, parent, false);
        return new ExerciseAdapter.ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull ExerciseAdapter.ViewHolder holder, int position) {
        final Exercise exercise = mExercises.get(position);

        holder.name.setText(exercise.getName());
        holder.itemView.setOnClickListener(view -> {

            Intent intent = new Intent(mContext, LookUpExerciseActivity.class);
            intent.putExtra("name", mExercises.get(position).getName());
            mContext.startActivity(intent);
        });
    }

    @Override
    public int getItemCount() {
        return mExercises.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {
        public TextView name;

        public ViewHolder(View itemView) {
            super(itemView);

            name = itemView.findViewById(R.id.textExerciseName);
        }
    }
}
